<?php
/**
 * @author  Blogwp
 * @since   1.0
 * @version 1.0
 * @package anymags-pro
 */

function move_comment_field_to_bottom($fields)
{
    $temp = $fields['comment'];
    unset($fields['comment']);
    $fields['comment'] = $temp;
    return $fields;
}

if (post_password_required()) {
    return;
}
?>
<div id="comments" class="comments-section">
    <?php if (have_comments()): ?>
        <?php
        $blogwp_comment_number = get_comments_number();
        $blogwp_comments_info = number_format_i18n($blogwp_comment_number);
        if ($blogwp_comment_number > 1) {
            $blogwp_comments_info .= esc_html__(' Comments', BLOGWP_BLOG_THEME_NAME);
        } else {
            $blogwp_comments_info .= esc_html__(' Comment', BLOGWP_BLOG_THEME_NAME);
        }
        ?>
        <div class="comment-box">
            <h2><?php echo esc_html($blogwp_comments_info); ?></h2>
        </div>
        <?php
        $blogwp_avatar = get_option('show_avatars');
        $blogwp_avatar_class = empty($blogwp_avatar) ? ' avatar-disabled' : '';
        ?>
        <ul class="comment-list <?php echo esc_attr($blogwp_avatar_class); ?>">
            <?php
            wp_list_comments(
                array(
                    'style' => 'ul',
                    'callback' => 'Helper::comments_callback',
                    'reply_text' => esc_html__('Reply', BLOGWP_BLOG_THEME_NAME),
                    'avatar_size' => 100,
                    'format' => 'html5'
                )
            );
            ?>
        </ul>

        <?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : ?>
            <nav class="pagination-area comment-pagination">
                <ul>
                    <li><?php previous_comments_link(esc_html__('Older Comments', BLOGWP_BLOG_THEME_NAME)); ?></li>
                    <li><?php next_comments_link(esc_html__('Newer Comments', BLOGWP_BLOG_THEME_NAME)); ?></li>
                </ul>
            </nav>
        <?php endif; ?>

    <?php endif; ?>

    <?php if (!comments_open() && get_comments_number() && post_type_supports(get_post_type(), 'comments')) : ?>
        <p class="comments-closed"><?php esc_html_e('Comments are closed.', BLOGWP_BLOG_THEME_NAME); ?></p>
    <?php endif; ?>

    <?php
    // Start displaying Comment Form
    $blogwp_commenter = wp_get_current_commenter();
    $blogwp_req = get_option('require_name_email');
    $blogwp_aria_req = ($blogwp_req ? " required" : '');

    $blogwp_fields = array(
        'author' =>
            '<div class="row"><div class="col-sm-4"><div class="form-group comment-form-author"><label for="author">' . esc_attr('Name', BLOGWP_BLOG_THEME_NAME) . '' . ($blogwp_req ? '<span>*</span>' : '') . '</label><input type="text" id="author" name="author" value="' . esc_attr($blogwp_commenter['comment_author']) . '"  class="axil-form-control"' . $blogwp_aria_req . '></div></div>',

        'email' =>
            '<div class="col-sm-4 comment-form-email"><div class="form-group"><label for="email">' . esc_attr('Email', BLOGWP_BLOG_THEME_NAME) . '' . ($blogwp_req ? '<span>*</span>' : '') . '</label><input id="email" name="email" type="email" value="' . esc_attr($blogwp_commenter['comment_author_email']) . '" class="axil-form-control"' . $blogwp_aria_req . '></div></div>',

        'url' =>
            '<div class="col-sm-4 comment-form-website"><div class="form-group"><label for="website">' . esc_attr('Website', BLOGWP_BLOG_THEME_NAME) . '</label><input id="website" name="website" type="text" value="' . esc_attr($blogwp_commenter['comment_author_url']) . '" class="axil-form-control"></div></div></div>',
    );
    $blogwp_args = array(
        'class_submit' => 'btn btn-primary',
        'submit_field' => '<div class="row"><div class="col-md-12"><div class="form-group form-submit">%1$s %2$s</div></div></div>',
        'comment_field' => '<div class="row"><div class="col-md-12"><div class="form-group comment-form-comment"><label for="comment">' . esc_attr('Comment', BLOGWP_BLOG_THEME_NAME) . '' . ($blogwp_req ? '<span>*</span>' : '') . '</label><textarea id="comment" name="comment" required class="textarea axil-form-control" rows="5" cols="40"></textarea></div></div></div>',
        'fields' => apply_filters('comment_form_default_fields', $blogwp_fields),
        'format' => 'xhtml'

    );
    ?>
    <div class="reply-separator"></div>
    <?php comment_form($blogwp_args); ?>
</div>