<?php
/**
 * @author  Blogwp
 * @since   1.0
 * @version 1.0
 * @package anymags-pro
 */
trait PageTitleTrait {

    // Page title
  public static function axil_get_page_title() {
      $themepfix    = ANYMAGS_PRO_THEME_FIX;
      $anymags_pro_options   = self::axil_get_options();
        if ( function_exists( 'is_woocommerce' ) && is_woocommerce() ) {
          $blogwp_title = woocommerce_page_title( false );
        }
        elseif ( is_404() ) {
          $blogwp_title = $anymags_pro_options['error_title'];
        }
        elseif ( is_search() ) {
          $blogwp_title = esc_html__( 'Search results for: ', BLOGWP_BLOG_THEME_NAME ) . get_search_query();
        }
        elseif ( is_home() ) {
          if ( get_option( 'page_for_posts' ) ) {
            $blogwp_title = get_the_title( get_option( 'page_for_posts' ) );
          }
          else {
            $blogwp_title = apply_filters( "{$themepfix}_blog_title", esc_html__( 'All Posts', BLOGWP_BLOG_THEME_NAME ) );
          }
        }
        elseif ( is_archive() ) {
          $condipfix    = ANYMAGS_PRO_PRFX;
          if ( is_post_type_archive( "{$condipfix}_team" ) ) {
            $blogwp_title = esc_html__( 'All Team Member', BLOGWP_BLOG_THEME_NAME );
          }
          else {
            $blogwp_title = get_the_archive_title();
          }
        }elseif (is_single()) {
          $blogwp_title  = get_the_title();

        }else{
          $blogwp_title = get_the_title();
        }
      return $blogwp_title;
  }


}
