<?php
/**
 * @author  Blogwp
 * @since   1.0
 * @version 1.0
 * @package anymags-pro
 */

$opt_name = ANYMAGS_PRO_THEME_PREFIX . '_options';
function axulnews_add_fields($prefix, $title, $subtitle = '')
{
    return array(
        array(
            'id' => $prefix . '_sec',
            'type' => 'section',
            'title' => $title,
            'subtitle' => $subtitle,
            'indent' => true,
        ),
        array(
            'id' => $prefix . '_activate',
            'type' => 'switch',
            'title' => esc_html__('Activate Ad', BLOGWP_BLOG_THEME_NAME),
            'on' => esc_html__('Enabled', BLOGWP_BLOG_THEME_NAME),
            'off' => esc_html__('Disabled', BLOGWP_BLOG_THEME_NAME),
            'default' => false,
        ),
        array(
            'id' => $prefix . '_type',
            'type' => 'button_set',
            'title' => esc_html__('Ad Type', BLOGWP_BLOG_THEME_NAME),
            'options' => array(
                'image' => esc_html__('Image Link', BLOGWP_BLOG_THEME_NAME),
                'code' => esc_html__('Custom Code', BLOGWP_BLOG_THEME_NAME),
            ),
            'default' => 'image',
            'required' => array($prefix . '_activate', 'equals', true)
        ),
        array(
            'id' => $prefix . '_image',
            'type' => 'media',
            'title' => esc_html__('Image', BLOGWP_BLOG_THEME_NAME),
            'default' => '',
            'required' => array($prefix . '_type', 'equals', 'image')
        ),
        array(
            'id' => $prefix . '_url',
            'type' => 'text',
            'title' => esc_html__('Link', BLOGWP_BLOG_THEME_NAME),
            'default' => '',
            'required' => array($prefix . '_type', 'equals', 'image')
        ),

        array(
            'id' => $prefix . '_link_type',
            'type' => 'button_set',
            'title' => esc_html__('Open Advertisement Tab', BLOGWP_BLOG_THEME_NAME),
            'options' => array(
                'blank' => esc_html__('Open in new tab', BLOGWP_BLOG_THEME_NAME),
                'same' => esc_html__('Open in Same tab', BLOGWP_BLOG_THEME_NAME),
            ),
            'required' => array($prefix . '_type', 'equals', 'image'),
            'default' => 'blank',

        ),
        array(
            'id' => $prefix . '_code',
            'type' => 'textarea',
            'title' => esc_html__('Custom Code', BLOGWP_BLOG_THEME_NAME),
            'default' => '',
            'subtitle' => esc_html__('Supports: Shortcode, Adsense, Text, HTML, Scripts', BLOGWP_BLOG_THEME_NAME),
            'required' => array($prefix . '_type', 'equals', 'code')
        ),
    );
}


Redux::setSection($opt_name,
    array(
        'title' => esc_html__('Ad Management', BLOGWP_BLOG_THEME_NAME),
        'id' => 'ad_settings_section',
        'icon' => 'el el-speaker',
    )
);

// Blog/Archive
$header_mid = axulnews_add_fields('ad_post_header_mid', esc_html__('Header Mid', BLOGWP_BLOG_THEME_NAME));
$before_content = axulnews_add_fields('ad_post_before_content', esc_html__('Before Post Contents', BLOGWP_BLOG_THEME_NAME));
$after_content = axulnews_add_fields('ad_post_after_content', esc_html__('After Post Contents', BLOGWP_BLOG_THEME_NAME));
$before_sidebar = axulnews_add_fields('ad_post_before_sidebar', esc_html__('Before Post Sidebar', BLOGWP_BLOG_THEME_NAME));
$after_sidebar = axulnews_add_fields('ad_post_after_sidebar', esc_html__('After Post Sidebar', BLOGWP_BLOG_THEME_NAME));

$fields = array_merge($before_content, $after_content, $before_sidebar, $after_sidebar);

Redux::setSection($opt_name,
    array(
        'title' => esc_html__('Header', BLOGWP_BLOG_THEME_NAME),
        'id' => 'ad_settings_header_mid',
        'heading' => esc_html__('Header Mid Ad', BLOGWP_BLOG_THEME_NAME),
        'subsection' => true,
        'icon' => 'el el-network',
        'fields' => $header_mid
    )
);

Redux::setSection($opt_name,
    array(
        'title' => esc_html__('News/Archive', BLOGWP_BLOG_THEME_NAME),
        'id' => 'ad_settings_blog_section',
        'heading' => esc_html__('Blog/Archive', BLOGWP_BLOG_THEME_NAME),
        'subsection' => true,
        'icon' => 'el el-network',
        'fields' => $fields
    )
);

