<?php
/**
 * @author  Blogwp
 * @since   1.0
 * @version 1.0
 * @package anymags-pro
 */

$opt_name = ANYMAGS_PRO_THEME_PREFIX . '_options';
Redux::setSection($opt_name,
    array(
        'title' => esc_html__('General', BLOGWP_BLOG_THEME_NAME),
        'id' => 'axil_general_defaults',
        'icon' => 'el el-th',


    )
);
Redux::setSection($opt_name,
    array(
        'title' => esc_html__('General', BLOGWP_BLOG_THEME_NAME),
        'id' => 'general_section',
        'heading' => esc_html__('General', BLOGWP_BLOG_THEME_NAME),
        'icon' => 'el el-network',
        'subsection' => true,
        'fields' => array(
            array(
                'id' => 'active_dark_mode',
                'type' => 'switch',
                'title' => esc_html__('Switch to Dark Mode', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('Yes', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('No', BLOGWP_BLOG_THEME_NAME),
                'default' => false,
            ),
            array(
                'id' => 'show_ld_switcher_form_user_end',
                'type' => 'switch',
                'title' => esc_html__('Enabled Dark/Light Switcher Form User End', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('Enabled', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Disabled', BLOGWP_BLOG_THEME_NAME),
                'default' => true,
            ),
            array(
                'id' => 'logo',
                'type' => 'media',
                'title' => esc_html__('Main Logo', BLOGWP_BLOG_THEME_NAME),
                'default' => array(
                    'url' => ANYMAGS_PRO_IMG_URL . 'logo-black.svg'
                ),
            ),
            array(
                'id' => 'logo_light',
                'type' => 'media',
                'title' => esc_html__('Light Logo', BLOGWP_BLOG_THEME_NAME),
                'default' => array(
                    'url' => ANYMAGS_PRO_IMG_URL . 'logo-white.svg'
                ),

            ),
            array(
                'id' => 'logo_symbol',
                'type' => 'media',
                'title' => esc_html__('Footer Logo', BLOGWP_BLOG_THEME_NAME),
                'default' => array(
                    'url' => Helper::get_img('logo-symbol.svg')
                ),
            ),
            array(
                'id' => 'preloader',
                'type' => 'switch',
                'title' => esc_html__('Preloader', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('Enabled', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Disabled', BLOGWP_BLOG_THEME_NAME),
                'default' => true,
            ),
            array(
                'id' => 'preloader_image',
                'type' => 'media',
                'title' => esc_html__('Preloader Image', BLOGWP_BLOG_THEME_NAME),
                'subtitle' => esc_html__('Please upload your choice of preloader image. Transparent GIF format is recommended', BLOGWP_BLOG_THEME_NAME),
                'default' => array(
                    'url' => ANYMAGS_PRO_IMG_URL . 'anymags-pro-preloader.gif'
                ),
                'required' => array('preloader', 'equals', true)
            ),

            array(
                'id' => 'show_preview_image',
                'type' => 'switch',
                'title' => esc_html__('Show Preview Image', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('Enabled', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Disabled', BLOGWP_BLOG_THEME_NAME),
                'default' => false,
            ),
            array(
                'id' => 'no_preview_image',
                'type' => 'media',
                'title' => esc_html__('Alternative Preview Image', BLOGWP_BLOG_THEME_NAME),
                'subtitle' => esc_html__('This image will be used as preview image in some archive pages if no featured image exists', BLOGWP_BLOG_THEME_NAME),
                'default' => array(
                    'url' => ANYMAGS_PRO_IMG_URL . 'meta-img-1.jpg'
                ),
                'required' => array('show_preview_image', 'equals', true),
            ),
            array(
                'id' => 'back_to_top',
                'type' => 'switch',
                'title' => esc_html__('Back to Top', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('Enabled', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Disabled', BLOGWP_BLOG_THEME_NAME),
                'default' => true,
            ),
            array(
                'id' => 'team_slug',
                'type' => 'text',
                'title' => esc_html__('Team Slug', BLOGWP_BLOG_THEME_NAME),
                'subtitle' => esc_html__('Will be used in URL', BLOGWP_BLOG_THEME_NAME),
                'default' => 'team',
            ),
            array(
                'id' => 'team_cat_slug',
                'type' => 'text',
                'title' => esc_html__('Team Category Slug', BLOGWP_BLOG_THEME_NAME),
                'subtitle' => esc_html__('Will be used in URL', BLOGWP_BLOG_THEME_NAME),
                'default' => 'team-cat',
            ),
        )
    )
);


Redux::setSection($opt_name,
    array(
        'title' => esc_html__('Subscription Popup Maker', BLOGWP_BLOG_THEME_NAME),
        'id' => 'popup_meker',
        'heading' => esc_html__('Subscription Popup Maker', BLOGWP_BLOG_THEME_NAME),
        'icon' => 'el el-flag',
        'subsection' => true,
        'fields' => array(
            array(
                'id' => 'popup_area',
                'type' => 'switch',
                'title' => esc_html__('Popup', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('Enabled', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Disabled', BLOGWP_BLOG_THEME_NAME),
                'default' => false,
                'subtitle' => esc_html__('Show/hide Popup.', BLOGWP_BLOG_THEME_NAME),
            ),
            array(
                'id' => 'popup_content_shortcode',
                'type' => 'text',
                'title' => esc_html__('Popup Content Shortcode', BLOGWP_BLOG_THEME_NAME),
                'subtitle' => esc_html__('Use the shortcode that create popup content', BLOGWP_BLOG_THEME_NAME),
                'required' => array('popup_area', 'equals', true)
            ),
            array(
                'id' => 'popup_image',
                'type' => 'media',
                'title' => esc_html__('Popup Image', BLOGWP_BLOG_THEME_NAME),
                'default' => array(
                    'url' => Helper::get_img('banner.jpg')
                ),
                'required' => array('popup_area', 'equals', true)
            ),
            array(
                'id' => 'popup_whare_to_show',
                'type' => 'select',
                'title' => esc_html__('Whare To Show', BLOGWP_BLOG_THEME_NAME),
                'subtitle' => esc_html__('Select how the more post will show - Pagination / Load More', BLOGWP_BLOG_THEME_NAME),
                'options' => array(
                    'everywhere' => esc_html__('Everywhere', BLOGWP_BLOG_THEME_NAME),
                    'posts' => esc_html__('Posts', BLOGWP_BLOG_THEME_NAME),
                    'home' => esc_html__('Home', BLOGWP_BLOG_THEME_NAME),
                ),
                'default' => 'home',
                'required' => array('popup_area', 'equals', true)
            ),

        )
    )
);