<?php
/**
 * @author  Blogwp
 * @since   1.0
 * @version 1.0
 * @package anymags-pro
 */

$opt_name = ANYMAGS_PRO_THEME_PREFIX . '_options';
function axil_redux_post_type_fields($prefix)
{
    return array(
        array(
            'id' => $prefix . '_layout',
            'type' => 'button_set',
            'title' => esc_html__('Layout ', BLOGWP_BLOG_THEME_NAME),
            'options' => array(
                'left-sidebar' => esc_html__('Left Sidebar', BLOGWP_BLOG_THEME_NAME),
                'full-width' => esc_html__('Full Width', BLOGWP_BLOG_THEME_NAME),
                'right-sidebar' => esc_html__('Right Sidebar', BLOGWP_BLOG_THEME_NAME),
            ),
            'default' => 'right-sidebar'
        ),
        array(
            'id' => $prefix . '_sidebar',
            'type' => 'select',
            'title' => esc_html__('Custom Sidebar', BLOGWP_BLOG_THEME_NAME),
            'options' => Helper::get_custom_sidebar_fields(),
            'default' => 'sidebar',
            'required' => array($prefix . '_layout', '!=', 'full-width'),
        ),
        array(
            'id' => $prefix . '_padding_top',
            'type' => 'text',
            'title' => esc_html__('Content Padding Top', BLOGWP_BLOG_THEME_NAME),
            'validate' => 'numeric',
            'default' => '60',
        ),
        array(
            'id' => $prefix . '_padding_bottom',
            'type' => 'text',
            'title' => esc_html__('Content Padding Bottom', BLOGWP_BLOG_THEME_NAME),
            'validate' => 'numeric',
            'default' => '30'
        ),
        array(
            'id' => $prefix . '_breadcrumb',
            'type' => 'switch',
            'title' => esc_html__('Breadcrumb', BLOGWP_BLOG_THEME_NAME),
            'on' => esc_html__('Enabled', BLOGWP_BLOG_THEME_NAME),
            'off' => esc_html__('Disabled', BLOGWP_BLOG_THEME_NAME),
            'default' => true,

        ),
        array(
            'id' => $prefix . '_banner',
            'type' => 'switch',
            'title' => esc_html__('Banner', BLOGWP_BLOG_THEME_NAME),
            'on' => esc_html__('Enabled', BLOGWP_BLOG_THEME_NAME),
            'off' => esc_html__('Disabled', BLOGWP_BLOG_THEME_NAME),
            'default' => true,
        ),
    );
}


Redux::setSection($opt_name,
    array(
        'title' => esc_html__('Pages Layouts', BLOGWP_BLOG_THEME_NAME),
        'id' => 'pages_layout_default',
        'icon' => 'el el-th',
    )
);
// Page
$blogwp_page_fields = axil_redux_post_type_fields('page');
$blogwp_page_fields[0]['default'] = 'full-width';
$blogwp_page_fields[5]['default'] = true;
$blogwp_page_fields[3]['default'] = '30';
$blogwp_page_fields[2]['default'] = '60';
Redux::setSection($opt_name,
    array(
        'title' => esc_html__('Page Layout', BLOGWP_BLOG_THEME_NAME),
        'id' => 'pages_section',
        'subsection' => true,
        'icon' => 'el el-network',
        'fields' => $blogwp_page_fields
    )
);
// Search
$blogwp_search_fields = axil_redux_post_type_fields('search');
Redux::setSection($opt_name,
    array(
        'title' => esc_html__('Search Layout', BLOGWP_BLOG_THEME_NAME),
        'id' => 'search_section',
        'subsection' => true,
        'icon' => 'el el-network',
        'fields' => $blogwp_search_fields
    )
);
Redux::setSection($opt_name,
    array(
        'title' => esc_html__('Archive', BLOGWP_BLOG_THEME_NAME),
        'id' => 'archive_defaults',
        'icon' => 'el el-th',

    )
);


//Post Archive
$blogwpnews_fields = axil_redux_post_type_fields('blog');
$blogwpnews_fields2 = array(

    array(
        'id' => 'blog_style',
        'type' => 'image_select',
        'title' => esc_html__('News/Archive Template', BLOGWP_BLOG_THEME_NAME),
        'default' => 'style1',
        'options' => array(
            'style1' => array(
                'title' => '<b>' . esc_html__('Layout 1', BLOGWP_BLOG_THEME_NAME) . '</b>',
                'img' => Helper::get_img('archive-post/01.jpg'),
            ),
            'style2' => array(
                'title' => '<b>' . esc_html__('Layout 2', BLOGWP_BLOG_THEME_NAME) . '</b>',
                'img' => Helper::get_img('archive-post/02.jpg'),
            ),

        ),
    ),

    array(
        'id' => 'blog_content_display',
        'type' => 'switch',
        'title' => esc_html__('Show content Display', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => true,
    ),
    array(
        'id' => 'blog_content_number',
        'type' => 'text',
        'title' => esc_html__('Number of Content', BLOGWP_BLOG_THEME_NAME),
        'validate' => 'numeric',
        'default' => '20',
        'required' => array('blog_content_display', 'equals', true),
    ),
    array(
        'id' => 'blog_author_name',
        'type' => 'switch',
        'title' => esc_html__('Show Author Name', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => true,
    ),
    array(
        'id' => 'blog_date',
        'type' => 'switch',
        'title' => esc_html__('Show Date', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => true,
    ),
    array(
        'id' => 'blog_view',
        'type' => 'switch',
        'title' => esc_html__('Show/hide Post View', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'subtitle' => esc_html__('Show or hide post views count number', BLOGWP_BLOG_THEME_NAME),
        'default' => false,
    ),
    array(
        'id' => 'blog_update_date',
        'type' => 'switch',
        'title' => esc_html__('Show Post Update Date', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => false,
    ),
    array(
        'id' => 'blog_shares',
        'type' => 'switch',
        'title' => esc_html__('Show/hide Post Shares', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'subtitle' => esc_html__('Show or hide post views count number', BLOGWP_BLOG_THEME_NAME),
        'default' => false,
    ),
    array(
        'id' => 'blog_cats',
        'type' => 'switch',
        'title' => esc_html__('Show Categories', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => true,
    ),

    array(
        'id' => 'blog_comment_num',
        'type' => 'switch',
        'title' => esc_html__('Show Comment Number', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => false,
    ),
    array(
        'id' => 'blog_show_post_thumb',
        'type' => 'switch',
        'title' => esc_html__('Show blog post thumb', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => true,
    ),

);

$blogwp_post_archive_fields = array_merge($blogwpnews_fields, $blogwpnews_fields2);

$blogwp_post_archive_fields[3]['default'] = '30';
$blogwp_post_archive_fields[2]['default'] = '60';
$blogwp_post_archive_fields[5]['default'] = true;

Redux::setSection($opt_name,
    array(
        'title' => esc_html__('News Archive', BLOGWP_BLOG_THEME_NAME),
        'id' => 'blog_section',
        'subsection' => true,
        'icon' => 'el el-network',
        'fields' => $blogwp_post_archive_fields
    )
);

//author Archive
$blogwpnews_fields = axil_redux_post_type_fields('author');
$blogwpnews_fields2 = array(

    array(
        'id' => 'author_style',
        'type' => 'image_select',
        'title' => esc_html__('News/Archive Template', BLOGWP_BLOG_THEME_NAME),
        'default' => 'style1',
        'options' => array(
            'style1' => array(
                'title' => '<b>' . esc_html__('Layout 1', BLOGWP_BLOG_THEME_NAME) . '</b>',
                'img' => Helper::get_img('archive-post/01.jpg'),
            ),
            'style2' => array(
                'title' => '<b>' . esc_html__('Layout 2', BLOGWP_BLOG_THEME_NAME) . '</b>',
                'img' => Helper::get_img('archive-post/02.jpg'),
            ),

        ),
    ),
    array(
        'id' => 'author_content_display',
        'type' => 'switch',
        'title' => esc_html__('Show content Display', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => true,
        'required' => array('author_style', 'equals', 'style1'),
    ),
//    array(
//        'id' => 'author_content_number',
//        'type' => 'text',
//        'title' => esc_html__('Number of Content', BLOGWP_BLOG_THEME_NAME),
//        'validate' => 'numeric',
//        'default' => '20',
//        'required' => array('author_content_display', 'equals', true),
//    ),
    array(
        'id' => 'articles_by_this_author',
        'type' => 'text',
        'title' => esc_html__('Articles By This Author Text', BLOGWP_BLOG_THEME_NAME),
        'default' => 'Articles By This Author',
    ),
    array(
        'id' => 'author_author_name',
        'type' => 'switch',
        'title' => esc_html__('Show Author Name', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => true,
    ),
    array(
        'id' => 'author_date',
        'type' => 'switch',
        'title' => esc_html__('Show Date', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => true,
    ),
    array(
        'id' => 'author_view',
        'type' => 'switch',
        'title' => esc_html__('Show/hide Post View', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'subtitle' => esc_html__('Show or hide post views count number', BLOGWP_BLOG_THEME_NAME),
        'default' => false,
    ),
    array(
        'id' => 'author_update_date',
        'type' => 'switch',
        'title' => esc_html__('Show Post Update Date', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => false,
    ),
    array(
        'id' => 'author_shares',
        'type' => 'switch',
        'title' => esc_html__('Show/hide Post Shares', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'subtitle' => esc_html__('Show or hide post views count number', BLOGWP_BLOG_THEME_NAME),
        'default' => false,
    ),
    array(
        'id' => 'author_cats',
        'type' => 'switch',
        'title' => esc_html__('Show Categories', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => true,
    ),

    array(
        'id' => 'author_comment_num',
        'type' => 'switch',
        'title' => esc_html__('Show Comment Number', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => false,
    ),
    array(
        'id' => 'author_show_post_thumb',
        'type' => 'switch',
        'title' => esc_html__('Show blog post thumb', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => true,
    ),

);

$blogwp_author_archive_fields = array_merge($blogwpnews_fields, $blogwpnews_fields2);

$blogwp_author_archive_fields[3]['default'] = '30';
$blogwp_author_archive_fields[2]['default'] = '60';
$blogwp_author_archive_fields[5]['default'] = false;

Redux::setSection($opt_name,
    array(
        'title' => esc_html__('Author News', BLOGWP_BLOG_THEME_NAME),
        'id' => 'author_section',
        'subsection' => true,
        'icon' => 'el el-network',
        'fields' => $blogwp_author_archive_fields
    )
);

// Team Archive
$blogwp_fields = axil_redux_post_type_fields('team_archive');
$blogwp_fields = array_merge($blogwp_fields);
Redux::setSection($opt_name,
    array(
        'title' => esc_html__('Team Archive', BLOGWP_BLOG_THEME_NAME),
        'id' => 'team_archive_section',
        'subsection' => true,
        'icon' => 'el el-network',
        'fields' => $blogwp_fields
    )
);

if (class_exists('WooCommerce')) {
    // Woocommerce Shop Archive
    $blogwp_shop_archive_fields = axil_redux_post_type_fields('shop');
    $blogwp_shop_archive_fields[3]['default'] = '30';
    $blogwp_shop_archive_fields[2]['default'] = '60';
    $blogwp_shop_archive_fields[0]['default'] = 'full-width';
    Redux::setSection($opt_name,
        array(
            'title' => esc_html__('Shop Archive', BLOGWP_BLOG_THEME_NAME),
            'id' => 'shop_section',
            'subsection' => true,
            'icon' => 'el el-network',
            'fields' => $blogwp_shop_archive_fields
        )
    );
}

Redux::setSection($opt_name,
    array(
        'title' => esc_html__('Single', BLOGWP_BLOG_THEME_NAME),
        'id' => 'archive_defaults_05',
        'icon' => 'el el-th',

    )
);
// Single Post
$blogwpnews_fields = axil_redux_post_type_fields('single_post');
$blogwpnews_fields[0]['default'] = 'full-width';
$blogwpnews_fields2 = array(
    array(
        'id' => 'post_style',
        'type' => 'image_select',
        'title' => esc_html__('Single Post Template  Layout', BLOGWP_BLOG_THEME_NAME),
        'default' => '6',
        'options' => array(
            '1' => array(
                'title' => '<b>' . esc_html__('Layout 1', BLOGWP_BLOG_THEME_NAME) . '</b>',
                'img' => ANYMAGS_PRO_IMG_URL . 'post-layout/post-layout-1.jpg',
            ),
            '2' => array(
                'title' => '<b>' . esc_html__('Layout 2', BLOGWP_BLOG_THEME_NAME) . '</b>',
                'img' => ANYMAGS_PRO_IMG_URL . 'post-layout/post-layout-2.jpg',
            ),
            '3' => array(
                'title' => '<b>' . esc_html__('Layout 3', BLOGWP_BLOG_THEME_NAME) . '</b>',
                'img' => ANYMAGS_PRO_IMG_URL . 'post-layout/post-layout-3.jpg',
            ),
            '4' => array(
                'title' => '<b>' . esc_html__('Layout 4', BLOGWP_BLOG_THEME_NAME) . '</b>',
                'img' => ANYMAGS_PRO_IMG_URL . 'post-layout/post-layout-4.jpg',
            ),
            '5' => array(
                'title' => '<b>' . esc_html__('Layout 5', BLOGWP_BLOG_THEME_NAME) . '</b>',
                'img' => ANYMAGS_PRO_IMG_URL . 'post-layout/post-layout-5.jpg',
            ),
            '6' => array(
                'title' => '<b>' . esc_html__('Layout 6', BLOGWP_BLOG_THEME_NAME) . '</b>',
                'img' => ANYMAGS_PRO_IMG_URL . 'post-layout/post-layout-6.jpg',
            ),

        ),
    ),
    array(
        'id' => 'post_date',
        'type' => 'switch',
        'title' => esc_html__('Show Post Date', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => true,
    ),

    array(
        'id' => 'post_update_date',
        'type' => 'switch',
        'title' => esc_html__('Show Post Update Date', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => false,
    ),
    array(
        'id' => 'post_view',
        'type' => 'switch',
        'title' => esc_html__('Show/hide Post View', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'subtitle' => esc_html__('Show or hide post views count number', BLOGWP_BLOG_THEME_NAME),
        'default' => false,
    ),
    array(
        'id' => 'post_shares',
        'type' => 'switch',
        'title' => esc_html__('Show/hide Post Shares', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'subtitle' => esc_html__('Show or hide post views count number', BLOGWP_BLOG_THEME_NAME),
        'default' => false,
    ),
    array(
        'id' => 'post_author_name',
        'type' => 'switch',
        'title' => esc_html__('Show Author Name', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => true,
    ),

    array(
        'id' => 'post_author_bio',
        'type' => 'switch',
        'title' => esc_html__('Show Author Bio', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => false,
    ),

    array(
        'id' => 'post_cats',
        'type' => 'switch',
        'title' => esc_html__('Show Categories', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => true,
    ),
    array(
        'id' => 'post_comment_num',
        'type' => 'switch',
        'title' => esc_html__('Show Comment Number', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => false,
    ),
    array(
        'id' => 'post_links',
        'type' => 'switch',
        'title' => esc_html__('Show Next Post / Previous post', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => true,
    ),
    array(
        'id' => 'post_tags',
        'type' => 'switch',
        'title' => esc_html__('Show Tags', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => true,
    ),

    array(
        'id' => 'post_share_display_top',
        'type' => 'switch',
        'title' => esc_html__('Share Button Show/hide in top', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => true,
    ),
    array(
        'id' => 'post_share_display_footer',
        'type' => 'switch',
        'title' => esc_html__('Share Button Show/hide in footer ', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => false,
    ),

    array(
        'id' => 'show_related_post',
        'type' => 'switch',
        'title' => esc_html__('Show Related post', BLOGWP_BLOG_THEME_NAME),
        'on' => esc_html__('On', BLOGWP_BLOG_THEME_NAME),
        'off' => esc_html__('Off', BLOGWP_BLOG_THEME_NAME),
        'default' => false,
    ),
    array(
        'id' => 'section_post_related',
        'type' => 'section',
        'title' => esc_html__('Related Post Settings', BLOGWP_BLOG_THEME_NAME),
        'indent' => true,
    ),

    array(
        'id' => 'related_post_area_title',
        'type' => 'text',
        'title' => esc_html__('Related Post Area Title', BLOGWP_BLOG_THEME_NAME),
        'required' => array('show_related_post', 'equals', true),
        'default' => esc_html__('Related Posts', BLOGWP_BLOG_THEME_NAME),
    ),

    array(
        'id' => 'show_related_post_number',
        'type' => 'text',
        'title' => esc_html__('Show Related Post Number', BLOGWP_BLOG_THEME_NAME),
        'required' => array('show_related_post', 'equals', true),
        'default' => '4',
    ),

    array(
        'id' => 'related_post_query',
        'type' => 'radio',
        'title' => esc_html__('Query Type', BLOGWP_BLOG_THEME_NAME),
        'subtitle' => esc_html__('Post Query', BLOGWP_BLOG_THEME_NAME),
        'required' => array('show_related_post', 'equals', true),
        'options' => array(
            'cat' => esc_html__('Posts in the same Categories', BLOGWP_BLOG_THEME_NAME),
            'tag' => esc_html__('Posts in the same Tags', BLOGWP_BLOG_THEME_NAME),
            'author' => esc_html__('Posts by the same Author', BLOGWP_BLOG_THEME_NAME),
        ),
        'default' => 'cat'
    ),

    array(
        'id' => 'related_post_sort',
        'type' => 'radio',
        'title' => esc_html__('Sort Order', BLOGWP_BLOG_THEME_NAME),
        'subtitle' => esc_html__('Display post Order', BLOGWP_BLOG_THEME_NAME),
        'required' => array('show_related_post', 'equals', true),
        'options' => array(
            'recent' => esc_html__('Recent Posts', BLOGWP_BLOG_THEME_NAME),
            'rand' => esc_html__('Random Posts', BLOGWP_BLOG_THEME_NAME),
            'modified' => esc_html__('Last Modified Posts', BLOGWP_BLOG_THEME_NAME),
            'popular' => esc_html__('Most Commented posts', BLOGWP_BLOG_THEME_NAME),
            'views' => esc_html__('Most Viewed posts', BLOGWP_BLOG_THEME_NAME),
        ),
        'required' => array('show_related_post', 'equals', true),
        'default' => 'recent'
    ),
    array(
        'id' => 'related_title_limit',
        'type' => 'text',
        'required' => array('show_related_post', 'equals', true),
        'title' => esc_html__('Related Post Title Length', BLOGWP_BLOG_THEME_NAME),
        'default' => '15',
    ),

);

$blogwp_single_post_fields = array_merge($blogwpnews_fields, $blogwpnews_fields2);

$blogwp_single_post_fields[3]['default'] = '0';
$blogwp_single_post_fields[2]['default'] = '0';
$blogwp_single_post_fields[5]['default'] = false;

Redux::setSection($opt_name,
    array(
        'title' => esc_html__('Post Single', BLOGWP_BLOG_THEME_NAME),
        'id' => 'single_post_section',
        'icon' => 'el el-network',
        'fields' => $blogwp_single_post_fields,
        'subsection' => true,
    )
);
// Single Team
//$blogwp_fields = axil_redux_post_type_fields('team');
//
//Redux::setSection($opt_name,
//    array(
//        'title' => esc_html__('Team Single ', BLOGWP_BLOG_THEME_NAME),
//        'id' => 'single_team_section',
//        'icon' => 'el el-network',
//        'fields' => $blogwp_fields,
//        'subsection' => true,
//    )
//);

if (class_exists('WooCommerce')) {
    // Woocommerce Product
    $blogwp_product_fields = axil_redux_post_type_fields('product');
    $blogwp_product_fields[3]['default'] = '30';
    $blogwp_product_fields[2]['default'] = '60';

    Redux::setSection($opt_name,
        array(
            'title' => esc_html__('Product Single', BLOGWP_BLOG_THEME_NAME),
            'id' => 'product_section',
            'icon' => 'el el-network',
            'subsection' => true,
            'fields' => $blogwp_product_fields
        )
    );
}
Redux::setSection($opt_name,
    array(
        'title' => esc_html__('Settings', BLOGWP_BLOG_THEME_NAME),
        'id' => 'settings_defaults_06',
        'icon' => 'el el-th',

    )
);
