<?php
/**
 * @author  Blogwp
 * @since   1.0
 * @version 1.0
 * @package anymags-pro
 */

$opt_name = ANYMAGS_PRO_THEME_PREFIX.'_options';

    // Post Settings
    Redux::setSection( $opt_name,
        array(
            'title'   => esc_html__( 'Single Post Settings', BLOGWP_BLOG_THEME_NAME ),
            'id'      => 'post_settings_section',
            'icon'    => 'el el-file-edit',
            'subsection'   => true,
            'heading' => esc_html__( 'Single Post Settings', BLOGWP_BLOG_THEME_NAME ),
            'fields'  => array(
                array(
                    'id'       =>'post_style',
                    'type'     => 'image_select',
                    'title'    => esc_html__( 'Single Post Layout', BLOGWP_BLOG_THEME_NAME ),
                    'default'  => '1',
                    'options' => array(
                        '1' => array(
                            'title' => '<b>'. esc_html__( 'Layout 1', BLOGWP_BLOG_THEME_NAME ) . '</b>',
                            'img' => ANYMAGS_PRO_IMG_URL . 'post-layout/post-layout-1.jpg',
                        ),
                        '2' => array(
                            'title' => '<b>'. esc_html__( 'Layout 2', BLOGWP_BLOG_THEME_NAME ) . '</b>',
                            'img' => ANYMAGS_PRO_IMG_URL . 'post-layout/post-layout-2.jpg',
                        ),
                        '3' => array(
                            'title' => '<b>'. esc_html__( 'Layout 3', BLOGWP_BLOG_THEME_NAME ) . '</b>',
                            'img' => ANYMAGS_PRO_IMG_URL . 'post-layout/post-layout-3.jpg',
                        ),
                        '4' => array(
                            'title' => '<b>'. esc_html__( 'Layout 4', BLOGWP_BLOG_THEME_NAME ) . '</b>',
                            'img' => ANYMAGS_PRO_IMG_URL . 'post-layout/post-layout-4.jpg',
                        ),
                        '5' => array(
                            'title' => '<b>'. esc_html__( 'Layout 5', BLOGWP_BLOG_THEME_NAME ) . '</b>',
                            'img' => ANYMAGS_PRO_IMG_URL . 'post-layout/post-layout-5.jpg',
                        ),
                        '6' => array(
                            'title' => '<b>'. esc_html__( 'Layout 6', BLOGWP_BLOG_THEME_NAME ) . '</b>',
                            'img' => ANYMAGS_PRO_IMG_URL . 'post-layout/post-layout-6.jpg',
                        ),

                    ),
                ),
                array(
                    'id'      => 'post_date',
                    'type'    => 'switch',
                    'title'   =>esc_html__( 'Show Post Date', BLOGWP_BLOG_THEME_NAME ),
                    'on'      =>esc_html__( 'On', BLOGWP_BLOG_THEME_NAME ),
                    'off'     =>esc_html__( 'Off', BLOGWP_BLOG_THEME_NAME ),
                    'default' => true,
                ),
               
                 array(
                    'id'      => 'post_update_date',
                    'type'    => 'switch',
                    'title'   =>esc_html__( 'Show Post Update Date', BLOGWP_BLOG_THEME_NAME ),
                    'on'      =>esc_html__( 'On', BLOGWP_BLOG_THEME_NAME ),
                    'off'     =>esc_html__( 'Off', BLOGWP_BLOG_THEME_NAME ),
                    'default' => false,
                ),
                array(
                    'id'       => 'post_view',
                    'type'     => 'switch',
                    'title'    => esc_html__( 'Show/hide Post View', BLOGWP_BLOG_THEME_NAME ),
                    'on'       => esc_html__( 'On', BLOGWP_BLOG_THEME_NAME ),
                    'off'      => esc_html__( 'Off', BLOGWP_BLOG_THEME_NAME ),
                    'subtitle' => esc_html__( 'Show or hide post views count number', BLOGWP_BLOG_THEME_NAME ),
                    'default'  => false,
                ),
                 array(
                    'id'       => 'post_shares',
                    'type'     => 'switch',
                    'title'    => esc_html__( 'Show/hide Post Shares', BLOGWP_BLOG_THEME_NAME ),
                    'on'       => esc_html__( 'On', BLOGWP_BLOG_THEME_NAME ),
                    'off'      => esc_html__( 'Off', BLOGWP_BLOG_THEME_NAME ),
                    'subtitle' => esc_html__( 'Show or hide post views count number', BLOGWP_BLOG_THEME_NAME ),
                    'default'  => false,
                ),
                array(
                    'id'      => 'post_author_name',
                    'type'    => 'switch',
                    'title'   =>esc_html__( 'Show Author Name', BLOGWP_BLOG_THEME_NAME ),
                    'on'      =>esc_html__( 'On', BLOGWP_BLOG_THEME_NAME ),
                    'off'     =>esc_html__( 'Off', BLOGWP_BLOG_THEME_NAME ),
                    'default' => true,
                ),

                array(
                    'id'       => 'post_author_bio',
                    'type'     => 'switch',
                    'title'    => esc_html__( 'Show Author Bio', BLOGWP_BLOG_THEME_NAME ),
                    'on'       => esc_html__( 'On', BLOGWP_BLOG_THEME_NAME ),
                    'off'      => esc_html__( 'Off', BLOGWP_BLOG_THEME_NAME ),
                    'default'  => false,
                ),

                array(
                    'id'      => 'post_cats',
                    'type'    => 'switch',
                    'title'   =>esc_html__( 'Show Categories', BLOGWP_BLOG_THEME_NAME ),
                    'on'      =>esc_html__( 'On', BLOGWP_BLOG_THEME_NAME ),
                    'off'     =>esc_html__( 'Off', BLOGWP_BLOG_THEME_NAME ),
                    'default' => true,
                ),
                array(
                    'id'      => 'post_comment_num',
                    'type'    => 'switch',
                    'title'   =>esc_html__( 'Show Comment Number', BLOGWP_BLOG_THEME_NAME ),
                    'on'      =>esc_html__( 'On', BLOGWP_BLOG_THEME_NAME ),
                    'off'     =>esc_html__( 'Off', BLOGWP_BLOG_THEME_NAME ),
                    'default' => false,
                ),
                array(
                    'id'       => 'post_links',
                    'type'     => 'switch',
                    'title'    => esc_html__( 'Show Next Post / Previous post', BLOGWP_BLOG_THEME_NAME ),
                    'on'       => esc_html__( 'On', BLOGWP_BLOG_THEME_NAME ),
                    'off'      => esc_html__( 'Off', BLOGWP_BLOG_THEME_NAME ),
                    'default'  => true,
                ),
                array(
                    'id'      => 'post_tags',
                    'type'    => 'switch',
                    'title'   =>esc_html__( 'Show Tags', BLOGWP_BLOG_THEME_NAME ),
                    'on'      =>esc_html__( 'On', BLOGWP_BLOG_THEME_NAME ),
                    'off'     =>esc_html__( 'Off', BLOGWP_BLOG_THEME_NAME ),
                    'default' => true,
                ),

                 array(
                    'id'       => 'post_share_display_top',
                    'type'     => 'switch',
                    'title'    => esc_html__( 'Share Button Show/hide in top', BLOGWP_BLOG_THEME_NAME ),
                    'on'       => esc_html__( 'On', BLOGWP_BLOG_THEME_NAME ),
                    'off'      => esc_html__( 'Off', BLOGWP_BLOG_THEME_NAME ),
                    'default'  => true,
                ),
                array(
                    'id'       => 'post_share_display_footer',
                    'type'     => 'switch',
                    'title'    => esc_html__( 'Share Button Show/hide in footer ', BLOGWP_BLOG_THEME_NAME ),
                    'on'       => esc_html__( 'On', BLOGWP_BLOG_THEME_NAME ),
                    'off'      => esc_html__( 'Off', BLOGWP_BLOG_THEME_NAME ),
                    'default'  => false,
                ),

                array(
                    'id'      => 'show_related_post',
                    'type'    => 'switch',
                    'title'   =>esc_html__( 'Show Related post', BLOGWP_BLOG_THEME_NAME ),
                    'on'      =>esc_html__( 'On', BLOGWP_BLOG_THEME_NAME ),
                    'off'     =>esc_html__( 'Off', BLOGWP_BLOG_THEME_NAME ),
                    'default' => false,
                ),
                array(
                    'id'       => 'section_post_related',
                    'type'     => 'section',
                    'title'    => esc_html__( 'Related Post Settings', BLOGWP_BLOG_THEME_NAME ),
                    'indent'   => true,
                    'required' => array('show_related_post', 'equals', true),
                ),

                 array(
                    'id'       => 'related_post_area_title',
                    'type'     => 'text',
                    'title'    => esc_html__( 'Related Post Area Title', BLOGWP_BLOG_THEME_NAME ),
                    'required' => array( 'show_related_post', 'equals', true ),
                    'default'  =>  esc_html__( 'Related Posts', BLOGWP_BLOG_THEME_NAME ),
                ),
                     
                 array(
                    'id'       => 'show_related_post_number',
                    'type'     => 'text',
                    'title'    => esc_html__( 'Show Related Post Number', BLOGWP_BLOG_THEME_NAME ),
                    'required' => array( 'show_related_post', 'equals', true ),
                    'default'  =>  '4',
                ),
                 
                array(
                    'id'       => 'related_post_query',
                    'type'     => 'radio',
                    'title'    => esc_html__('Query Type', BLOGWP_BLOG_THEME_NAME),
                    'subtitle' => esc_html__('Post Query', BLOGWP_BLOG_THEME_NAME),
                    'required' => array( 'show_related_post', 'equals', true ),
                    'options'  => array(
                        'cat'       => esc_html__( 'Posts in the same Categories', BLOGWP_BLOG_THEME_NAME ),
                        'tag'       => esc_html__( 'Posts in the same Tags', BLOGWP_BLOG_THEME_NAME ),
                        'author'    => esc_html__( 'Posts by the same Author', BLOGWP_BLOG_THEME_NAME ),
                    ),
                    'default'   => 'cat'
                ),

            array(
                'id'       => 'related_post_sort',
                'type'     => 'radio',
                'title'    => esc_html__('Sort Order', BLOGWP_BLOG_THEME_NAME),
                'subtitle' => esc_html__('Display post Order', BLOGWP_BLOG_THEME_NAME),
                'required' => array( 'show_related_post', 'equals', true ),
                'options'  => array(
                    'recent'    => esc_html__( 'Recent Posts', BLOGWP_BLOG_THEME_NAME ),
                    'rand'      => esc_html__( 'Random Posts', BLOGWP_BLOG_THEME_NAME ),
                    'modified'  => esc_html__( 'Last Modified Posts', BLOGWP_BLOG_THEME_NAME ),
                    'popular'   => esc_html__( 'Most Commented posts', BLOGWP_BLOG_THEME_NAME ),
                    'views'     => esc_html__( 'Most Viewed posts', BLOGWP_BLOG_THEME_NAME ),
                ),
                'required'  => array( 'show_related_post', 'equals', true ),
                'default'   => 'recent'
            ),
            array(
                'id'       => 'related_title_limit',
                'type'     => 'text',
                'required' => array( 'show_related_post', 'equals', true ),
                'title'    => esc_html__( 'Related Post Title Length', BLOGWP_BLOG_THEME_NAME ),
                'default'  => '15',
            ),
            
            )
        )
    );
