<?php
/**
 * The template for displaying product search form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/product-searchform.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.3.0
 */

if (!defined('ABSPATH')) {
    exit;
}
?>
<?php $unique_id = esc_attr(anymags_pro_unique_id('product-search-form-')); ?>
<form role="search" method="get" class="woocommerce-product-search anymags-pro-search-form" action="<?php echo esc_url(home_url('/')); ?>">
    <label class="screen-reader-text"
           for="woocommerce-product-search-field-<?php echo isset($index) ? absint($index) : 0; ?>"><?php esc_html_e('Search for:', BLOGWP_BLOG_THEME_NAME); ?></label>
    <input type="search" id="woocommerce-product-search-field-<?php echo isset($index) ? absint($index) : 0; ?>"
           placeholder="<?php echo esc_attr_x('Product Search ...', 'placeholder', BLOGWP_BLOG_THEME_NAME); ?>"
           value="<?php echo get_search_query(); ?>" name="s"/>
    <span class="input-group-btn">
        <button class="btn btn-primary btn-small" type="submit"  value="<?php echo esc_attr_x('Search', 'submit button', BLOGWP_BLOG_THEME_NAME); ?>">
            <span class="fa fa-search" aria-hidden="true"></span>
        </button>
    </span>
    <input type="hidden" name="post_type" value="product"/>
</form>
